Bug 1857184 - selinux is preventing to build a bootdisk iso - Failed to format the ESP image via mkfs.msdos
Summary: selinux is preventing to build a bootdisk iso - Failed to format the ESP imag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Bootdisk Plugin
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.8.0
Assignee: Lukas Zapletal
QA Contact: Roman Plevka
URL:
Whiteboard:
: 1857194 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-15 11:14 UTC by Roman Plevka
Modified: 2020-10-27 14:31 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-foreman_bootdisk-17.0.2-2, foreman-selinux-2.1.1
Doc Type: Known Issue
Doc Text:
selinux is preventing to build a bootdisk iso - Failed to format the ESP image via mkfs.msdos
Clone Of:
Environment:
Last Closed: 2020-10-27 13:04:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30422 0 Normal Closed Build a bootdisk iso - Failed to format the ESP image via mkfs.msdos 2020-10-27 13:52:09 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 13:04:35 UTC

Description Roman Plevka 2020-07-15 11:14:13 UTC
Description of problem:
it looks like the bootdisk plugin is unable to use mkfs.msdos due to enforcing selinux.

On creating a new host, it just throws:
Failed to format the ESP image via mkfs.msdos

putting selinux to permissive mode unblocks it.

Version-Release number of selected component (if applicable):
6.8.0 snap 8

Comment 1 Lukas Zapletal 2020-07-16 15:01:25 UTC
Please always attach denials with SELinux failures. This one was easy to find tho :-)

Comment 2 Bryan Kearney 2020-07-20 12:04:30 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30422 has been resolved.

Comment 3 Lukas Zapletal 2020-08-06 13:23:26 UTC
*** Bug 1857194 has been marked as a duplicate of this bug. ***

Comment 4 Roman Plevka 2020-08-25 19:47:13 UTC
(In reply to Lukas Zapletal from comment #1)
> Please always attach denials with SELinux failures. This one was easy to
> find tho :-)

Sorry and thanks for the fix.
I also noticed the dosfstools package is not pre-installed - i had to install it manually.
Is this a packaging bug with foreman-bootdisk or is it by design?

Thanks!

Comment 5 Lukas Zapletal 2020-08-26 08:40:53 UTC
We have added dependency upstream, we need to pull it into downstream packaging.

commit 50f0e030dbf671c2e70389982294d1a40244a5de
Author: Adam Ruzicka <aruzicka>
Date:   Wed Jul 15 13:03:12 2020 +0200

    Add missing dependency for rubygem-foreman_bootdisk

)

Comment 7 Roman Plevka 2020-09-15 08:43:11 UTC
VERIFIED
on sat6.8.0-14

the iso can now be successfully downloaded without any issues (tested host image, full host image and subnet image)

Comment 10 errata-xmlrpc 2020-10-27 13:04:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.